import { writable } from "svelte/store";

function createLogin() {
	const { subscribe, set, update } = writable<
		| {
				username: string;
				token: string;
		  }
		| undefined
		| null
	>(undefined);

	return {
		subscribe,
		set,
		update,
		getValue: () =>
			new Promise(resolve => {
				const unsubscribe = subscribe(value => {
					if (value !== undefined) {
						unsubscribe();
						resolve(value);
					}
				});
			})
	};
}

export const login = createLogin();
