export interface Config<TS = string, T = any> {
	type: TS;
	data: T;
}

export interface User {
	username: string;
	password?: string;
	permissions: string[];
}

export interface Session {
	token: string;
	exp: number;
	type: string;
	user: string;
}

// Configs
export type Tracker = Config<
	"tracker",
	{
		name: string;
		members: string[];
	}
>;

export type Graph = Config<
	"graph",
	{
		name: string;
		value: (string | number)[];
	}
>;
